org.vertx.java.deploy.impl.java

## Class JavaVerticleFactory

- java.lang.Object
- - org.vertx.java.deploy.impl.java.JavaVerticleFactory

All Implemented Interfaces:
  VerticleFactory

    public class JavaVerticleFactory
    extends java.lang.Object
    implements VerticleFactory

### Field Summary

### Fields inherited from interface org.vertx.java.deploy.VerticleFactory

`factories`

### Constructor Summary

Constructors
Constructor and Description
`JavaVerticleFactory()`

### Method Summary

Methods
`Verticle` `createVerticle(java.lang.String main, java.lang.ClassLoader loader)`
`java.lang.String` `getLanguage()`
`void` `init(VerticleManager mgr)`
`boolean` `isFactoryFor(java.lang.String main)`
`void` `reportException(java.lang.Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JavaVerticleFactory

    public JavaVerticleFactory()

### Method Detail

#### init

    public void init(VerticleManager mgr)

Specified by:
  `init` in interface `VerticleFactory`

#### getLanguage

    public java.lang.String getLanguage()

Specified by:
  `getLanguage` in interface `VerticleFactory`

#### isFactoryFor

    public boolean isFactoryFor(java.lang.String main)

Specified by:
  `isFactoryFor` in interface `VerticleFactory`

#### createVerticle

    public Verticle createVerticle(java.lang.String main,
                          java.lang.ClassLoader loader)
                            throws java.lang.Exception

Specified by:
  `createVerticle` in interface `VerticleFactory`
Throws:
  `java.lang.Exception`

#### reportException

    public void reportException(java.lang.Throwable t)

Specified by:
  `reportException` in interface `VerticleFactory`